//
// Settings
//

if(!window.SpotkickSettings) {
  SpotkickSettings = {};
}

SpotkickSettings.Main = function() {
	try {
		this._settings = {};
	} catch(e) {
		// Error handling code goes here.
		alert("Unknown error "+e+".");
		return;
	}
}

SpotkickSettings.Main.prototype = {

	setAttackScope: function ( selector )
	{
		console.log( "[*] Setting attack scope around target selector: " + selector );
		
		this._settings["attack_scope"] = selector;
	},
	
	getAttackScope: function ()
	{
		return this._settings["attack_scope"];
	}
}

spotkickSettings = new SpotkickSettings.Main();
