spot-kick-me
============

An open source Chrome extension for doing in-browser injection tests.

Purpose
=======
Open-source SQL injection tools need a refresh.  Some of the best tools you hear about (e.g. sqlmap), don't completely cut it because tools like sqlmap lack a full JavaScript environment that you need to really interact with page forms and inputs.  I know major sites that deliberately do some DOM tricks in JavaScript so that most command-line tools (curl, sqlmap, Python/Ruby-scripts) don't get the real view of the page and return no results.

There have been a lot of nice pentest and audit tools for Firefox (XSS Me, Sql Inject Me), but many of these are missing on the Chrome side and haven't been updated in YEARS.  There are a couple of problems with this:

* We live in a JavaScript world.  Not all websites use forms to POST data.  I use inputs + JavaScript to do stuff on some of my sites.  Most tools only look for forms to POST.
* We live in a NoSQL world.  Systems don't just use MySQL, Oracle, and Sql Server.  We've now got MongoDB, Cassandra, CouchDB, and others.  
* We live in a JSON world.  Not all injections are query-based.  The significant Rails YAML vulnerability was a new kind of beast and it didn't involve escaping SQL queries.

Author
======
Eric M. Fiterman
www.spotkick.com
@spotkick_com
