// Copyright 2013 Spotkick
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

chrome.webRequest.onCompleted.addListener(
function(details) {
	console.log(details.ip);
});

chrome.tabs.getSelected(null, function(tab) {
 	//properties of tab object
	var details = document.getElementById('details');

	function showReport()
	{
		details.innerHTML = req.responseText;
	}

 	//rest of the save functionality.
	var domain = tab.url.match(/^[\w-]+:\/*\[?([\w\.:-]+)\]?(?::\d+)?/)[1];
	var req = new XMLHttpRequest();

	req.open(
    		"GET",
    		"URL TBD",
    		true);
	req.onload = showReport;
	req.send(null);
});

//showReport();
